AA-SHOW-USAGE(8)

NAME
aa-show-usage - Check which profiles are used

SYNOPSIS
aa-show-usage [option]

DESCRIPTION
aa-show-usage will display data on the usage of the profiles of the system

OPTIONS
aa-show-usage accepts the following arguments:

-s, --show-type {all,used,unused}
    Type of profiles to show

-j, --json
    Output in JSON

-d, --dir
    Path to profiles

--show-matching-path
    Show the path of a file matching the profile. Only the first matching path of an executable is shown (not the whole list).

FILTERING OPTIONS
aa-show-usage accepts the following filters to reduce the output of information to only those entries that will match the filter. Filters use Python's regular expression syntax.

--filter.flags FLAGS
    Filter by flags

--filter.profile_name PROFILE_NAME
    Filter by profile name

--filter.profile_attach PROFILE_ATTACH
    Filter by profile attachment (i.e. by path of the executable to which this profile applies)

--filter.profile_path PROFILE_PATH
    Filter by profile path

EXAMPLES
Show both the list of used and unused profiles in your system.

  $ aa-show-usage

Show the list of unconfined profiles currently used by your system.

  $ aa-show-usage --show-type=used --filter.flags=unconfined

BUGS
aa-show-usage needs to be able to read profiles to tell whether they are used in practice.

aa-show-usage will only report directly used profiles. Profiles used via profile transitions, systemd's AppArmorProfile=, or API call such as aa-exec are not shown as used.

If you find any additional bugs, please report them at <https://gitlab.com/apparmor/apparmor/-/issues>.

SEE ALSO
apparmor(7)